(****************************************)
(* Shy Button Component                 *)
(* Version 1.0                          *)
(*                                      *)
(****************************************)
(* (c) 1996-98 Evgeny A. Kryukov        *)
(* All right reserved.                  *)
(*                                      *)
(****************************************)
(* Internet: aepp@vsgtu.eastsib.ru      *)
(* WWW:                                 *)
(*   http://www.ita.eastsib.ru          *)
(****************************************)
unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ShyBtn, ExtCtrls;

type
  TfrmMain = class(TForm)
    lbHomePage: TLabel;
    lbMail: TLabel;
    lbAbout: TLabel;
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    lbClick: TLabel;
    ShyButton1: TShyButton;
    procedure lbHomePageClick(Sender: TObject);
    procedure lbMailClick(Sender: TObject);
    procedure lbAboutClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ShyButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses ShellAPI, About;

{$R *.DFM}

procedure TfrmMain.lbHomePageClick(Sender: TObject);
begin
// home Page
  ShellExecute(0, 'open', 'http://www.ita.eastsib.ru/office97.html', nil, nil, SW_SHOWNORMAL);
end;

procedure TfrmMain.lbMailClick(Sender: TObject);
begin
// Mail
  ShellExecute(0, 'open', 'mailto:aepp@vsgtu.eastsib.ru', nil, nil, SW_SHOWNORMAL);
end;

procedure TfrmMain.lbAboutClick(Sender: TObject);
begin
  // About
  frmAbout.ShowModal;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  {$IFNDEF VER90}
  lbAbout.Cursor := crHandPoint;
  lbHomePage.Cursor := crHandPoint;
  lbMail.Cursor := crHandPoint;
  {$ENDIF VER90}
end;

procedure TfrmMain.ShyButton1Click(Sender: TObject);
begin
  lbClick.Show;
end;

end.
