(****************************************)
(* Shy Button Component                 *)
(* Version 1.0                          *)
(*                                      *)
(****************************************)
(* (c) 1996-98 Evgeny A. Kryukov        *)
(* All right reserved.                  *)
(*                                      *)
(****************************************)
(* Internet: aepp@vsgtu.eastsib.ru      *)
(* WWW:                                 *)
(*   http://www.ita.eastsib.ru          *)
(****************************************)
unit ShyBtn;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TShyButton = class(TBitBtn)
  private
    { Private declarations }
    FMouseEnter: TPoint;
    procedure CMMouseEnter(var Msg: TMessage); message CM_MOUSEENTER;
  protected
    { Protected declarations }
    procedure MouseMove(Shift: TShiftState; X, Y: Integer); override;
  public
    { Public declarations }
  published
    { Published declarations }
  end;

procedure Register;

implementation (**********************************************************)

procedure Register;
begin
  RegisterComponents('Samples', [TShyButton]);
end;

{ TShyButton }

procedure TShyButton.CMMouseEnter(var Msg: TMessage);
begin
  inherited ;
  GetCursorPos(FMouseEnter);
  FMouseEnter := ScreenToClient(FMouseEnter);
end;

procedure TShyButton.MouseMove(Shift: TShiftState; X, Y: Integer);
begin
  inherited MouseMove(Shift, X, Y);
  MoveWindow(Handle, Left+(FMouseEnter.X-X), Top+(FMouseEnter.Y-Y),
    Width, Height, true);
  FMouseEnter := Point(X, Y);
end;

end.
